aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--net-analyzer/wireshark/Manifest1
-rw-r--r--net-analyzer/wireshark/files/wireshark-1.99.8-qtchooser.patch10
-rw-r--r--net-analyzer/wireshark/files/wireshark-2.1.0-sse4_2-r1.patch21
-rw-r--r--net-analyzer/wireshark/files/wireshark-2.4-androiddump.patch27
-rw-r--r--net-analyzer/wireshark/files/wireshark-2.4.3-libsmi.patch233
-rw-r--r--net-analyzer/wireshark/files/wireshark-99999999-androiddump.patch10
-rw-r--r--net-analyzer/wireshark/files/wireshark-includes-fix-musl.patch15
-rw-r--r--net-analyzer/wireshark/wireshark-2.4.4.ebuild294
8 files changed, 611 insertions, 0 deletions
diff --git a/net-analyzer/wireshark/Manifest b/net-analyzer/wireshark/Manifest
new file mode 100644
index 0000000..4987062
--- /dev/null
+++ b/net-analyzer/wireshark/Manifest
@@ -0,0 +1 @@
+DIST wireshark-2.4.4.tar.xz 28818372 BLAKE2B 1a28cabdc8dfbed16244c6906ef360c2d3edee3cd75a5134ea7b21b138c3be08de9327a1415cb308f7a01c382e0aa5cf14e4466b4c3762c29a7f7cbc4683890e SHA512 b6625f860a10e10babd686820680a5e169594f171e7e176fc96325255ec096481da2e8a0fdff10b42cead82011740714a4331003dda0d48bf3b419da37834bdc
diff --git a/net-analyzer/wireshark/files/wireshark-1.99.8-qtchooser.patch b/net-analyzer/wireshark/files/wireshark-1.99.8-qtchooser.patch
new file mode 100644
index 0000000..4745951
--- /dev/null
+++ b/net-analyzer/wireshark/files/wireshark-1.99.8-qtchooser.patch
@@ -0,0 +1,10 @@
+--- a/acinclude.m4
++++ b/acinclude.m4
+@@ -2149,7 +2149,6 @@
+ # -qt={version} argument, otherwise we look for particular
+ # tool versions using tool name suffixes.
+ #
+- AC_PATH_PROG(QTCHOOSER, qtchooser)
+ if test ! -z "$QTCHOOSER"; then
+ #
+ # We found qtchooser; we assume that means that
diff --git a/net-analyzer/wireshark/files/wireshark-2.1.0-sse4_2-r1.patch b/net-analyzer/wireshark/files/wireshark-2.1.0-sse4_2-r1.patch
new file mode 100644
index 0000000..8efe5af
--- /dev/null
+++ b/net-analyzer/wireshark/files/wireshark-2.1.0-sse4_2-r1.patch
@@ -0,0 +1,21 @@
+--- a/configure.ac
++++ b/configure.ac
+@@ -818,6 +818,7 @@
+ AC_SUBST(PIE_CFLAGS)
+ AC_SUBST(PIE_LDFLAGS)
+
++AC_ARG_ENABLE(sse4_2,[ --enable-sse4_2 Support SSE4.2 (Streaming SIMD Extensions 4.2) instructions],[
+ WS_CFLAGS_saved="$WS_CFLAGS"
+ AC_WIRESHARK_COMPILER_FLAGS_CHECK(-msse4.2, C)
+ if test "x$can_add_to_cflags" = "xyes"
+@@ -844,6 +845,10 @@
+ ac_sse4_2_flag=-xarch=sse4_2
+ fi
+ fi
++],[
++AC_MSG_RESULT(no)
++])
++
+ WS_CFLAGS="$WS_CFLAGS_saved"
+
+ if test "x$ac_sse4_2_flag" != x; then
diff --git a/net-analyzer/wireshark/files/wireshark-2.4-androiddump.patch b/net-analyzer/wireshark/files/wireshark-2.4-androiddump.patch
new file mode 100644
index 0000000..e67ab21
--- /dev/null
+++ b/net-analyzer/wireshark/files/wireshark-2.4-androiddump.patch
@@ -0,0 +1,27 @@
+--- a/extcap/androiddump.c
++++ b/extcap/androiddump.c
+@@ -363,13 +363,13 @@
+ pcap = pcap_open_dead_with_tstamp_precision(encap_ext, PACKET_LENGTH, PCAP_TSTAMP_PRECISION_NANO);
+ extcap_dumper.dumper.pcap = pcap_dump_open(pcap, fifo);
+ if (!extcap_dumper.dumper.pcap) {
+- g_warning("Can't open %s for saving packets: %s", pcap_geterr(pcap));
++ g_warning("Can't open %s for saving packets: %s", fifo, pcap_geterr(pcap));
+ pcap_close(pcap);
+ exit(EXIT_CODE_CANNOT_SAVE_LIBPCAP_DUMP);
+ }
+ extcap_dumper.encap = encap;
+ if (pcap_dump_flush(extcap_dumper.dumper.pcap) == -1) {
+- g_warning("Write to %s failed: %s", g_strerror(errno));
++ g_warning("Write to %s failed: %s", fifo, g_strerror(errno));
+ }
+ #else
+ int err = 0;
+@@ -416,7 +416,7 @@
+
+ pcap_dump((u_char *) extcap_dumper.dumper.pcap, &pcap_header, buffer);
+ if (pcap_dump_flush(extcap_dumper.dumper.pcap) == -1) {
+- g_warning("Write to %s failed: %s", g_strerror(errno));
++ g_warning("Write to %s failed: %s", fifo, g_strerror(errno));
+ }
+ #else
+ int err = 0;
diff --git a/net-analyzer/wireshark/files/wireshark-2.4.3-libsmi.patch b/net-analyzer/wireshark/files/wireshark-2.4.3-libsmi.patch
new file mode 100644
index 0000000..288efb7
--- /dev/null
+++ b/net-analyzer/wireshark/files/wireshark-2.4.3-libsmi.patch
@@ -0,0 +1,233 @@
+From 72c2e53981a204d746737d8c01c4ad3738cd4880 Mon Sep 17 00:00:00 2001
+From: =?utf8?q?Jo=C3=A3o=20Valverde?= <joao.valverde@tecnico.ulisboa.pt>
+Date: Sun, 5 Nov 2017 12:05:43 +0000
+Subject: [PATCH 1/1] autotools: Use pkg-config to configure Libsmi
+MIME-Version: 1.0
+Content-Type: text/plain; charset=utf8
+Content-Transfer-Encoding: 8bit
+
+Change-Id: Icecea743739aa7e1a65753f623f311514260d373
+Reviewed-on: https://code.wireshark.org/review/24252
+Petri-Dish: João Valverde <j@v6e.pt>
+Tested-by: Petri Dish Buildbot
+Reviewed-by: João Valverde <j@v6e.pt>
+---
+ Makefile.am | 2 +-
+ configure.ac | 27 +++++++++---
+ epan/Makefile.am | 2 +-
+ m4/libsmi.m4 | 125 -------------------------------------------------------
+ 4 files changed, 24 insertions(+), 132 deletions(-)
+ delete mode 100644 m4/libsmi.m4
+
+diff --git a/Makefile.am b/Makefile.am
+index a2851e0..e6ed5eb 100644
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -422,7 +422,7 @@ EPAN_EXTRA_LIBS = \
+ @KRB5_LIBS@ \
+ @LIBGCRYPT_LIBS@ \
+ @LIBGNUTLS_LIBS@ \
+- @LIBSMI_LDFLAGS@
++ @LIBSMI_LIBS@
+
+ # Libraries and plugin flags with which to link wireshark.
+ #
+diff --git a/configure.ac b/configure.ac
+index 3b3475b..326561c 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -432,10 +432,6 @@ linux*)
+ fi
+ esac
+
+-# libsmi
+-# FIXME: currently the path argument to with-libsmi is being ignored
+-AX_LIBSMI
+-
+ #
+ # Check if we should build the Wireshark User's Guide
+ #
+@@ -2427,6 +2423,27 @@ else
+ fi
+ AM_CONDITIONAL(HAVE_LIBXML2, test "x$have_libxml2" = "xyes")
+
++#
++# Libsmi check
++#
++AC_ARG_WITH(libsmi,
++ AC_HELP_STRING([--with-libsmi=@<:@yes/no@:>@],
++ [use libsmi MIB/PIB library @<:@default=yes, if available@:>@]),
++ [], [with_libsmi="if_available"])
++
++have_libsmi=no
++if test "x$with_libsmi" != "xno"; then
++ PKG_CHECK_MODULES(LIBSMI, libsmi,
++ [have_libsmi=yes
++ AC_DEFINE(HAVE_LIBSMI, 1, [Define if you have libsmi])
++ ],
++ [if test "x$with_libsmi" = "xyes"; then
++ # Error out if the user explicitly requested libsmi
++ AC_MSG_ERROR([Libsmi was requested, but is not installed for development])
++ fi
++ ]
++ )
++fi
+
+ dnl
+ dnl check whether plugins should be enabled
+@@ -3012,7 +3029,7 @@ echo " Use pcap library : $want_pcap"
+ echo " Use zlib library : $zlib_message"
+ echo " Use kerberos library : $krb5_message"
+ echo " Use c-ares library : $c_ares_message"
+-echo " Use SMI MIB library : $libsmi_message"
++echo " Use SMI MIB library : $have_libsmi"
+ echo " Use GNU gcrypt library : yes"
+ echo " Use GnuTLS library : $tls_message"
+ echo " Use POSIX capabilities library : $libcap_message"
+diff --git a/epan/Makefile.am b/epan/Makefile.am
+index 9f7de62..e85f97b 100644
+--- a/epan/Makefile.am
++++ b/epan/Makefile.am
+@@ -330,7 +330,7 @@ libwireshark_la_LIBADD = \
+ @KRB5_LIBS@ \
+ @LIBGCRYPT_LIBS@ \
+ @LIBGNUTLS_LIBS@ \
+- @LIBSMI_LDFLAGS@ \
++ @LIBSMI_LIBS@ \
+ @LZ4_LIBS@ \
+ @NGHTTP2_LIBS@ \
+ @SNAPPY_LIBS@ \
+diff --git a/m4/libsmi.m4 b/m4/libsmi.m4
+deleted file mode 100644
+index d719438..0000000
+--- a/m4/libsmi.m4
++++ /dev/null
+@@ -1,125 +0,0 @@
+-# Configure paths for libsmi
+-# Shamelessly stolen from http://autoconf-archive.cryp.to/ax_lib_sqlite3.html
+-
+-# Synopsis: AX_LIBSMI([minimum library version])
+-# The default minimum library version is 2
+-
+-# This macro sets/substitutes the following:
+-# AC_DEFINE(HAVE_LIBSMI)
+-# AC_SUBST(LIBSMI_CFLAGS)
+-# AC_SUBST(LIBSMI_LDFLAGS)
+-# AC_SUBST(LIBSMI_VERSION)
+-# $libsmi_message is set to "yes" or "no"
+-
+-AC_DEFUN([AX_LIBSMI],
+-[
+- AC_ARG_WITH([libsmi],
+- AC_HELP_STRING(
+- [--with-libsmi=@<:@DIR@:>@],
+- [use libsmi MIB/PIB library @<:@default=yes@:>@, optionally specify the prefix for libsmi]
+- ),
+- [
+- if test "$withval" = "no"; then
+- WANT_LIBSMI="no"
+- elif test "$withval" = "yes"; then
+- WANT_LIBSMI="yes"
+- ac_libsmi_path=""
+- else
+- WANT_LIBSMI="yes"
+- ac_libsmi_path="$withval"
+- fi
+- ],
+- [WANT_LIBSMI="yes"]
+- )
+-
+- libsmi_message="no"
+- LIBSMI_CFLAGS=""
+- LIBSMI_LDFLAGS=""
+- LIBSMI_VERSION=""
+-
+- if test "x$WANT_LIBSMI" = "xyes"; then
+-
+- ac_libsmi_header="smi.h"
+-
+- libsmi_version_req=ifelse([$1], [], [2], [$1])
+-
+- AC_MSG_CHECKING([for libsmi >= $libsmi_version_req])
+-
+- if test "$ac_libsmi_path" != ""; then
+- ac_libsmi_ldflags="-L$ac_libsmi_path/lib"
+- ac_libsmi_cflags="-I$ac_libsmi_path/include"
+- else
+- for ac_libsmi_path_tmp in /usr /usr/local /opt $prefix; do
+- if test -f "$ac_libsmi_path_tmp/include/$ac_libsmi_header" \
+- && test -r "$ac_libsmi_path_tmp/include/$ac_libsmi_header"; then
+- ac_libsmi_path=$ac_libsmi_path_tmp
+- ac_libsmi_ldflags="-L$ac_libsmi_path_tmp/lib"
+- ac_libsmi_cflags="-I$ac_libsmi_path_tmp/include"
+- break;
+- fi
+- done
+- fi
+-
+- ac_libsmi_ldflags="$ac_libsmi_ldflags -lsmi"
+-
+- saved_CFLAGS="$CFLAGS"
+- CFLAGS="$CFLAGS $ac_libsmi_cflags"
+-
+- AC_LANG_PUSH(C)
+- AC_COMPILE_IFELSE(
+- [
+- AC_LANG_PROGRAM([[@%:@include <smi.h>]],
+- [[
+- int current, revision, age, n;
+- const int required = $libsmi_version_req;
+- if (smiInit(""))
+- exit(1);
+- if (strcmp(SMI_LIBRARY_VERSION, smi_library_version))
+- exit(2);
+- n = sscanf(smi_library_version, "%d:%d:%d", &current, &revision, &age);
+- if (n != 3)
+- exit(3);
+- if (required < current - age || required > current)
+- exit(4);
+- ]]
+- )
+- ],
+- [
+- AC_MSG_RESULT([yes])
+- libsmi_message="yes"
+- ],
+- [
+- AC_MSG_RESULT([not found])
+- libsmi_message="no"
+- ]
+- )
+- AC_LANG_POP([C])
+-
+- CFLAGS="$saved_CFLAGS"
+-
+- if test "$libsmi_message" = "yes"; then
+-
+- LIBSMI_CFLAGS="$ac_libsmi_cflags"
+- LIBSMI_LDFLAGS="$ac_libsmi_ldflags"
+-
+- ac_libsmi_header_path="$ac_libsmi_path/include/$ac_libsmi_header"
+-
+- dnl Retrieve libsmi release version
+- if test "x$ac_libsmi_header_path" != "x"; then
+- ac_libsmi_version=`cat $ac_libsmi_header_path \
+- | grep '#define.*SMI_LIBRARY_VERSION.*\"' | sed -e 's/.* "//' \
+- | sed -e 's/"//'`
+- if test $ac_libsmi_version != ""; then
+- LIBSMI_VERSION=$ac_libsmi_version
+- else
+- AC_MSG_WARN([Can not find SMI_LIBRARY_VERSION macro in smi.h header to retrieve libsmi version!])
+- fi
+- fi
+-
+- AC_SUBST(LIBSMI_CFLAGS)
+- AC_SUBST(LIBSMI_LDFLAGS)
+- AC_SUBST(LIBSMI_VERSION)
+- AC_DEFINE(HAVE_LIBSMI, 1, [Define to 1 if you have the `smi' library (-lsmi).])
+- fi
+- fi
+-])
+--
+2.7.4
+
diff --git a/net-analyzer/wireshark/files/wireshark-99999999-androiddump.patch b/net-analyzer/wireshark/files/wireshark-99999999-androiddump.patch
new file mode 100644
index 0000000..db1c560
--- /dev/null
+++ b/net-analyzer/wireshark/files/wireshark-99999999-androiddump.patch
@@ -0,0 +1,10 @@
+--- a/extcap/Makefile.am
++++ b/extcap/Makefile.am
+@@ -32,6 +32,7 @@
+ ../ui/libui.a \
+ ../wiretap/libwiretap.la \
+ ../wsutil/libwsutil.la \
++ @PCAP_LIBS@ \
+ @GLIB_LIBS@
+
+ randpktdump_SOURCES = \
diff --git a/net-analyzer/wireshark/files/wireshark-includes-fix-musl.patch b/net-analyzer/wireshark/files/wireshark-includes-fix-musl.patch
new file mode 100644
index 0000000..097e989
--- /dev/null
+++ b/net-analyzer/wireshark/files/wireshark-includes-fix-musl.patch
@@ -0,0 +1,15 @@
+diff --git a/extcap/udpdump.c b/extcap/udpdump.c
+index 44cc24e1db..1310e37e61 100644
+--- a/extcap/udpdump.c
++++ b/extcap/udpdump.c
+@@ -38,6 +38,10 @@
+ #include <unistd.h>
+ #endif
+
++#ifdef HAVE_SYS_TYPES_H
++ #include <sys/types.h>
++#endif
++
+ #ifdef HAVE_ARPA_INET_H
+ #include <arpa/inet.h>
+ #endif
diff --git a/net-analyzer/wireshark/wireshark-2.4.4.ebuild b/net-analyzer/wireshark/wireshark-2.4.4.ebuild
new file mode 100644
index 0000000..70e9450
--- /dev/null
+++ b/net-analyzer/wireshark/wireshark-2.4.4.ebuild
@@ -0,0 +1,294 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools eutils fcaps flag-o-matic gnome2-utils multilib qmake-utils user xdg-utils
+
+DESCRIPTION="A network protocol analyzer formerly known as ethereal"
+HOMEPAGE="https://www.wireshark.org/"
+SRC_URI="${HOMEPAGE}download/src/all-versions/${P/_/}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~x86 ~x86-fbsd"
+IUSE="
+ adns androiddump +capinfos +caps +captype ciscodump cpu_flags_x86_sse4_2
+ +dftest doc doc-pdf +dumpcap +editcap geoip gtk kerberos libssh libxml2 lua
+ lz4 +mergecap +netlink nghttp2 +pcap portaudio +qt5 +randpkt +randpktdump
+ +reordercap sbc selinux +sharkd smi snappy spandsp sshdump ssl +text2pcap
+ tfshark +tshark +udpdump zlib
+"
+REQUIRED_USE="
+ ciscodump? ( libssh )
+ sshdump? ( libssh )
+"
+
+S=${WORKDIR}/${P/_/}
+
+CDEPEND="
+ >=dev-libs/glib-2.14:2
+ dev-libs/libgcrypt:0
+ netlink? ( dev-libs/libnl:3 )
+ adns? ( >=net-dns/c-ares-1.5 )
+ caps? ( sys-libs/libcap )
+ geoip? ( dev-libs/geoip )
+ gtk? (
+ x11-libs/gdk-pixbuf
+ x11-libs/gtk+:3
+ x11-libs/pango
+ x11-misc/xdg-utils
+ )
+ kerberos? ( virtual/krb5 )
+ libssh? ( >=net-libs/libssh-0.6 )
+ libxml2? ( dev-libs/libxml2 )
+ lua? ( >=dev-lang/lua-5.1:* )
+ lz4? ( app-arch/lz4 )
+ nghttp2? ( net-libs/nghttp2 )
+ pcap? ( net-libs/libpcap )
+ portaudio? ( media-libs/portaudio )
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtmultimedia:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtwidgets:5
+ || (
+ media-libs/speexdsp
+ <media-libs/speex-1.2.0
+ )
+ x11-misc/xdg-utils
+ )
+ sbc? ( media-libs/sbc )
+ smi? ( net-libs/libsmi )
+ snappy? ( app-arch/snappy )
+ spandsp? ( media-libs/spandsp )
+ ssl? ( net-libs/gnutls:= )
+ zlib? ( sys-libs/zlib !=sys-libs/zlib-1.2.4 )
+"
+# We need perl for `pod2html`. The rest of the perl stuff is to block older
+# and broken installs. #455122
+DEPEND="
+ ${CDEPEND}
+ dev-lang/perl
+ !<virtual/perl-Pod-Simple-3.170
+ !<perl-core/Pod-Simple-3.170
+ doc? (
+ app-doc/doxygen
+ app-text/asciidoc
+ dev-libs/libxml2
+ dev-libs/libxslt
+ doc-pdf? ( dev-java/fop )
+ www-client/lynx
+ )
+ qt5? (
+ dev-qt/linguist-tools:5
+ )
+ sys-devel/bison
+ sys-devel/flex
+ virtual/pkgconfig
+"
+RDEPEND="
+ ${CDEPEND}
+ gtk? ( virtual/freedesktop-icon-theme )
+ qt5? ( virtual/freedesktop-icon-theme )
+ selinux? ( sec-policy/selinux-wireshark )
+"
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.99.8-qtchooser.patch
+ "${FILESDIR}"/${PN}-2.1.0-sse4_2-r1.patch
+ "${FILESDIR}"/${PN}-2.4-androiddump.patch
+ "${FILESDIR}"/${PN}-99999999-androiddump.patch
+ "${FILESDIR}"/${PN}-2.4.3-libsmi.patch
+ "${FILESDIR}"/${PN}-includes-fix-musl.patch
+)
+
+pkg_setup() {
+ enewgroup wireshark
+}
+
+src_prepare() {
+ default
+
+ eautoreconf
+}
+
+src_configure() {
+ local myconf
+
+ # Workaround bug #213705. If krb5-config --libs has -lcrypto then pass
+ # --with-ssl to ./configure. (Mimics code from acinclude.m4).
+ if use kerberos; then
+ case $(krb5-config --libs) in
+ *-lcrypto*)
+ ewarn "Kerberos was built with ssl support: linkage with openssl is enabled."
+ ewarn "Note there are annoying license incompatibilities between the OpenSSL"
+ ewarn "license and the GPL, so do your check before distributing such package."
+ myconf+=( "--with-ssl" )
+ ;;
+ esac
+ fi
+
+ # Enable wireshark binary with any supported GUI toolkit (bug #473188)
+ if use gtk || use qt5; then
+ myconf+=( "--enable-wireshark" )
+ else
+ myconf+=( "--disable-wireshark" )
+ fi
+
+ if ! use qt5; then
+ myconf+=( "--with-qt=no" )
+ fi
+
+ if use qt5; then
+ export QT_MIN_VERSION=5.3.0
+ append-cxxflags -fPIC -DPIC
+ fi
+
+ # Hack around inability to disable doxygen/fop doc generation
+ use doc || export ac_cv_prog_HAVE_DOXYGEN=false
+ use doc-pdf || export ac_cv_prog_HAVE_FOP=false
+
+ econf \
+ $(use androiddump && use pcap && echo --enable-androiddump-use-libpcap=yes) \
+ $(use dumpcap && use_with pcap dumpcap-group wireshark) \
+ $(use_enable androiddump) \
+ $(use_enable capinfos) \
+ $(use_enable captype) \
+ $(use_enable ciscodump) \
+ $(use_enable dftest) \
+ $(use_enable dumpcap) \
+ $(use_enable editcap) \
+ $(use_enable mergecap) \
+ $(use_enable randpkt) \
+ $(use_enable randpktdump) \
+ $(use_enable reordercap) \
+ $(use_enable sharkd) \
+ $(use_enable sshdump) \
+ $(use_enable text2pcap) \
+ $(use_enable tfshark) \
+ $(use_enable tshark) \
+ $(use_enable udpdump) \
+ $(use_with adns c-ares) \
+ $(use_with caps libcap) \
+ $(use_with geoip) \
+ $(use_with gtk gtk 3) \
+ $(use_with kerberos krb5) \
+ $(use_with libssh) \
+ $(use_with libxml2) \
+ $(use_with lua) \
+ $(use_with lz4) \
+ $(use_with nghttp2) \
+ $(use_with pcap) \
+ $(use_with portaudio) \
+ $(use_with sbc) \
+ $(use_with smi libsmi) \
+ $(use_with snappy) \
+ $(use_with spandsp) \
+ $(use_with ssl gnutls) \
+ $(use_with zlib) \
+ $(usex cpu_flags_x86_sse4_2 --enable-sse4_2 '') \
+ $(usex netlink --with-libnl=3 --without-libnl) \
+ $(usex qt5 --with-qt=5 '') \
+ $(usex qt5 LRELEASE=$(qt5_get_bindir)/lrelease '') \
+ $(usex qt5 MOC=$(qt5_get_bindir)/moc '') \
+ $(usex qt5 RCC=$(qt5_get_bindir)/rcc '') \
+ $(usex qt5 UIC=$(qt5_get_bindir)/uic '') \
+ --disable-profile-build \
+ --disable-warnings-as-errors \
+ --sysconfdir="${EPREFIX}"/etc/wireshark \
+ ${myconf[@]}
+}
+
+src_compile() {
+ default
+
+ if use doc; then
+ emake -j1 -C docbook
+ if use doc-pdf; then
+ addpredict "/root/.java"
+ emake -C docbook all-pdf
+ fi
+ fi
+}
+
+src_install() {
+ default
+
+ # FAQ is not required as is installed from help/faq.txt
+ dodoc AUTHORS ChangeLog NEWS README{,.bsd,.linux,.macos,.vmware} \
+ doc/{randpkt.txt,README*}
+
+ if use doc; then
+ docinto /usr/share/doc/${PF}/html
+ dodoc -r docbook/{release-notes.html,ws{d,u}g_html{,_chunked}}
+ if use doc-pdf; then
+ docinto /usr/share/doc/${PF}/pdf/
+ dodoc docbook/{developer,user}-guide-{a4,us}.pdf docbook/release-notes.pdf
+ fi
+ fi
+
+ # install headers
+ local wsheader
+ for wsheader in \
+ config.h \
+ epan/*.h \
+ epan/crypt/*.h \
+ epan/dfilter/*.h \
+ epan/dissectors/*.h \
+ epan/ftypes/*.h \
+ epan/wmem/*.h \
+ register.h \
+ wiretap/*.h \
+ ws_diag_control.h \
+ ws_symbol_export.h \
+ wsutil/*.h
+ do
+ insinto /usr/include/wireshark/$( dirname ${wsheader} )
+ doins ${wsheader}
+ done
+
+ #with the above this really shouldn't be needed, but things may be looking in wiretap/ instead of wireshark/wiretap/
+ insinto /usr/include/wiretap
+ doins wiretap/wtap.h
+
+ if use gtk || use qt5; then
+ local c d
+ for c in hi lo; do
+ for d in 16 32 48; do
+ insinto /usr/share/icons/${c}color/${d}x${d}/apps
+ newins image/${c}${d}-app-wireshark.png wireshark.png
+ done
+ done
+ for d in 16 24 32 48 64 128 256 ; do
+ insinto /usr/share/icons/hicolor/${d}x${d}/mimetypes
+ newins image/WiresharkDoc-${d}.png application-vnd.tcpdump.pcap.png
+ done
+ fi
+
+ prune_libtool_files
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+
+ # Add group for users allowed to sniff.
+ enewgroup wireshark
+
+ if use pcap; then
+ fcaps -o 0 -g wireshark -m 4710 -M 0710 \
+ cap_dac_read_search,cap_net_raw,cap_net_admin \
+ "${EROOT}"/usr/bin/dumpcap
+ fi
+
+ ewarn "NOTE: To capture traffic with wireshark as normal user you have to"
+ ewarn "add yourself to the wireshark group. This security measure ensures"
+ ewarn "that only trusted users are allowed to sniff your traffic."
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+}